### Hierarchy

- RecoverySignature

## Index

### Constructors

- constructor

### Properties

- credentialIID
- signature
- credIID
- msgBuf
- pub
- pubSig
- sig
- version

## Constructors

### constructor

- new RecoverySignature(credentialIID: InstanceID, signature: Buffer): RecoverySignature

- - Defined in src/personhood/credentials-instance.ts:418

  #### Parameters

  - ##### credentialIID: InstanceID

  - ##### signature: Buffer

  #### Returns RecoverySignature

## Properties

### credentialIID

credentialIID: InstanceID

- Defined in src/personhood/credentials-instance.ts:420

### signature

signature: Buffer

- Defined in src/personhood/credentials-instance.ts:420

### Static credIID

credIID: 32 = 32

- Defined in src/personhood/credentials-instance.ts:415

### Static msgBuf

msgBuf: number = RecoverySignature.credIID + RecoverySignature.pub + RecoverySignature.version

- Defined in src/personhood/credentials-instance.ts:418

### Static pub

pub: 32 = 32

- Defined in src/personhood/credentials-instance.ts:414

### Static pubSig

pubSig: number = RecoverySignature.pub + RecoverySignature.sig

- Defined in src/personhood/credentials-instance.ts:417

### Static sig

sig: 64 = 64

- Defined in src/personhood/credentials-instance.ts:413

### Static version

version: 8 = 8

- Defined in src/personhood/credentials-instance.ts:416

Generated using TypeDoc